Try Catch Example in C++


Description:

An exception is a problem that arises during the execution of a program. A C++ exception is a response to an exceptional circumstance that arises while a program is running, such as an attempt to divide by zero. Exceptions provide a way to transfer control from one part of a program to another. C++ exception handling is built upon three keywords: try, catch, and throw.

  • throw − A program throws an exception when a problem shows up. This is done using a throw keyword.
  • catch − A program catches an exception with an exception handler at the place in a program where you want to handle the problem. The catch keyword indicates the catching of an exception.
  • try − A try block identifies a block of code for which particular exceptions will be activated. It's followed by one or more catch blocks.

Assuming a block will raise an exception, a method catches an exception using a combination of the try and catch keywords. A try/catch block is placed around the code that might generate an exception.

Example Program:

Here is the simple program try catch in C++.

Source Code

#include<iostream>
using namespace std;
int main()
{
    int a=10,b=0,c;
    try
    {
        if(b==0)
            throw 101;
        c=a/b;
        cout<<c;
    }
    catch(int e)
    {
        cout<<"Division By Zero Error... Code : "<<e<<endl;
    }
    cout<<"Good Bye";
    return 0;
}
To download raw file Click Here

Output

Division By Zero Error... Code : 101
Good Bye

Basic Programs


Flow Control

IF Statement Examples


Switch Case

Goto Statement

Break and Continue

While Loop

Do While Loop

For Loop

Friend Function in C++


String Examples


Array Examples


Structure Examples


Structure & Pointer Examples


Structure & Functions Examples


Enumeration Examples


Template Examples


Functions


List of Programs


Pointer Examples


Memory Management Examples


Pointers and Arrays


Virtual Function Examples



Learn All in Tamil © Designed & Developed By Tutor Joes